Bug 301781 - No Icons in Empathy
No Icons in Empathy
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: empathy (Show other bugs)
7
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Peter Gordon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-22 14:31 EDT by Nick
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-11 11:48:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of Empathy without proper icons (296.83 KB, image/png)
2007-09-25 04:12 EDT, Nick
no flags Details

  None (edit)
Description Nick 2007-09-22 14:31:26 EDT
Description of problem:
No Icons are displayed... error in console


(empathy:9405): Gtk-WARNING **: could not load image: Icon 'empathy-available'
not present in theme

where 'empathy-available' scrolls though a list of icons.
Have checked /usr/share/icons/gnome/scalable/apps/empathy* exists, and even
added 48x48 pngs, but still errors.

Version-Release number of selected component (if applicable):
[nick@localhost ~]$ rpm -qa | grep empathy
empathy-0.12-1.fc7


How reproducible:
Every Time, have even created a new user with default fedora settings, i.e.
themes haven't been added etc, and still persistant.

Steps to Reproduce:
1.Launch "empathy" from a console.
2.
3.
  
Actual results:
Empathy loads but with no icons, they are replaced with the "x" default which
gnome uses when it cannot find icons.

Expected results:
Icons: /usr/share/icons/gnome/scalable/apps/empathy* used instead of "x"

Additional info:
Comment 1 Peter Gordon 2007-09-23 20:30:16 EDT
Thanks for the bug report. 

I initially thought that it was a missing GTK+ icon cache update, but the
necessary scriptlets are in the spec file. Does it become fixed if you change
your icon or GTK+ theme momentarily? Does it only happen with specific themes? 

Thanks.
Comment 2 Nick 2007-09-24 02:24:01 EDT
Doesn't look like changing themes makes a difference.

Steps to test:
Open empathy in a console,
open system -> pref -> look n feel -> themes
customise -> icons
I scrolled through each set of icons (gnome, mist fedora, etc) waited until my
desktop icons updated , then hang your mouse over a empathy buddy, the console
still displays the error, and the "x" is still there.
(same happens if you change the "controls" rather than the icons)

hth,
Nick
Comment 3 Peter Gordon 2007-09-25 00:32:49 EDT
Hmm. Could you post a small screenshot of how the window looks with the "x"
icons so I can have something to compare my results to when trying to reproduce
this issue? Thanks.
Comment 4 Nick 2007-09-25 04:12:15 EDT
Created attachment 204941 [details]
Screenshot of Empathy without proper icons

No prob's, here's the screenshot as requested.

Note the "x" icons next to available/busy/etc and the same icon is in the
system tray.

Hope that helps
Comment 5 Peter Gordon 2007-09-29 14:54:46 EDT
Thanks; that helps a lot.

It seems a very Windows-ish way of doing it, but does reinstalling Empathy or
the package for your icon theme fix it? While reinstalling, do any SELinux
denials or similar appear that seem suspicious or could be preventing the theme
index from regenerating?
Comment 6 Peter Gordon 2007-10-07 04:11:25 EDT
Nick, does reinstalling it as I suggested earlier seem to fix it for you? Please
let me know; thanks.
Comment 7 Nick 2007-10-11 08:35:38 EDT
sorry for the l8 reply, yep re-Installed: empathy.i386 0:0.12-1.fc7, all working
fine now :)
Comment 8 Peter Gordon 2007-10-11 11:48:48 EDT
Good to know. :)

I'm closing this bug as WORKSFORME now that you've got it resolved. Please feel
free to reopen it if the problem persists on updates/etc. Thanks for the bug report!

Note You need to log in before you can comment on or make changes to this bug.